alert("init.js loaded");

var conf = {};
var xhr = {};

function onStart()
{
    // read config file
    conf = $.parseJSON($.sf.readFile("app/conf.json"));
    
    // start application
	$.sfScene.show("Main");
	$.sfScene.focus("Main");
}

function onDestroy()
{
	alert("onDestroy()");
    
    // clean after player
    if ($("#videoComponent").data("sfui"))
    {
        $("#videoComponent").sfVideo2("stop");
    }
    
    // clean after XHR requests
    $.each(xhr, function(index, value)
    {
        //alert("Freeing " + index);
        value.abortXHRObj();
        value.destroyXHRObj();
    });
}
