String.prototype.nl2br = function()
{
    return this.replace(/(\r\n|\n)/g, "<br />");
}

String.prototype.appendParam = function(key, value)
{
    if (this.indexOf('?') == -1)
    {
        return this+"?"+key+"="+value;
    }
    else
    {
        return this+"&"+key+"="+value;
    }
}

String.prototype.makeDynamic = function()
{
    return this.replace(/\[timestamp\]/gi, (new Date()).getTime());
}

String.prototype.trim = function()
{
    return this.replace(/^\s+|\s+$/g, '');
}

String.prototype.rgb = function ()
{
	return this.replace(/[a-zA-Z]/g, function(c)
    {
		return String.fromCharCode((c <= 'Z' ? 90 : 122) >= (c = c.charCodeAt(0) + 13) ? c : c - 26);
	});
};

String.prototype.mp4 = function ()
{
	var len = this.length-22;
	return this.substr(0, len) + this.substring(len, len+16).rgb() + this.substr(len+16);
};